Package org.zkoss.zkmax.theme

## Class TabletThemeURIHandler

- java.lang.Object
- - org.zkoss.zkmax.theme.TabletThemeURIHandler

- All Implemented Interfaces:
    `ThemeURIHandler`

      public class TabletThemeURIHandler
      extends java.lang.Object
      implements ThemeURIHandler

  TabletThemeURIHandler is a ThemeURIHandler to provide tablet theme uri.
  Since:
    9.6.0
  Author:
    leon

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_TABLET_CSS` | Default tablet-enhanced theme css file (ZK EE only)

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TabletThemeURIHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `modifyThemeURIs​(Execution exec, ThemeURIModifier modifier)` | Allow developer to modify the theme uri list through `ThemeURIModifier` when a desktop is about to be rendered.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TABLET_CSS

          public static final java.lang.String DEFAULT_TABLET_CSS

      Default tablet-enhanced theme css file (ZK EE only)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TabletThemeURIHandler

          public TabletThemeURIHandler()

  - ### Method Detail

    - #### modifyThemeURIs

          public void modifyThemeURIs​(Execution exec,
                                      ThemeURIModifier modifier)

      Description copied from interface: `ThemeURIHandler`
      Allow developer to modify the theme uri list through `ThemeURIModifier` when a desktop is about to be rendered.
      Specified by:
        `modifyThemeURIs` in interface `ThemeURIHandler`
      Parameters:
        `exec` - the current execution (never null), where you can retrieve the desktop, request and response. Note: if your Web application supports multiple devices, you have to check `Desktop.getDevice()`.
        `modifier` - `ThemeURIModifier` provide methods (e.g. add(StyleSheet uri)) to modify the theme uri list.